LINUX.ORG.RU
ФорумTalks

Что сделали с арчем и кедами?

 , , ,


0

1

Поставил вчера себе арчик. Ну, решил вспомнить былые времена и всё такое. Ну и проверить, что там с новыми кедами, у всех ли такой же ужас, как в kubuntu и opensuse. В арче оказалось не особо-то и лучше.

Вики фрагментирована, куча статей без обновлений или не соответствуют текущему положению дел. После установки системы и загрузки в неё поставил кеды. По зависимостям не притянулся xorg-server и всё с ним связанное. Кеды загрузились вообще без кедовых приложений, и автоматом не предлагались (помнится мне, что раньше было другое поведение, в кде4, не?). Ладно, загрузил всё необходимое, всё поставил. Запустил кеды.. Не, breeze в чём-то приколен, но декорация окон - за это для того, кто её придумал, да ещё использовать по умолчанию, уготован особый котёл в аду.

Тема курсора слетает на произвольных элементах, переходах между окнами и прочим. Выбешивает через 5 секунд. Такое же поведение было во всех системах с пятокедами, которые я смотрел.

Тема gtk не подхватывается, хотя установил.

kcm_touchpad конфликтует с пакетами кед, модуль для wacom тоже конфликтует.

Ключи pacman для репы с infinality не добавлялись, вываливалась ошибка dirmngr. Решение нагуглил, но блин, какого хрена? Я что, на каждое действие должен копировать сообщение об ошибке (потому что ошибки на каждом шаге). Ужос, короче, да. Психанул и снёс арч. Неосилятор, да.

А ведь раньше арчик был реально простым и понятным, если не залезать в тестинг - не припомню, чтоб вот так ошибки были на каждом шаге.

Новые кеды - таки полный ад. Кардинальных отличий от кде4 практически не видно, зато совместимость всего и вся поломана.

appmenu-gtk2/3, по всей видимости, сдохли, и теперь глобальное меню в арчике не сделать. Печаль.

★★★★

Обычно в таких случаях говорят...

А что сделал ты, чтобы было лучше? FOSS — это же «равнодействующая множества воль».

Evenik ★★ ()
Ответ на: комментарий от user42

У меня в линуксе 14.04.3 всё работает чётенько.

А у меня Linux 4.2.3... Старый наверное. И обновляться не хочет... ЧЯДНТ?

toney ★★★★★ ()
Ответ на: комментарий от EXL

равнодействующая множественная боль

Deleted ()

Вики фрагментирована, куча статей без обновлений или не соответствуют текущему положению дел.

Примеры будут?

Кеды загрузились вообще без кедовых приложений, и автоматом не предлагались

Насколько я знаю, сейчас нет группового пакета, который ставит KDE со всеми доступными приложениями.

декорация окон - за это для того, кто её придумал, да ещё использовать по умолчанию, уготован особый котёл в аду.

Тебя размер не устроил? Так можно сделать меньше.

m0rph ★★★★★ ()

Вики фрагментирована, куча статей без обновлений или не соответствуют текущему положению дел.

Русскоязычную, что ли, читал?

Тема курсора слетает на произвольных элементах, переходах между окнами и прочим. Выбешивает через 5 секунд. Такое же поведение было во всех системах с пятокедами, которые я смотрел.

Тема gtk не подхватывается, хотя установил.

УМВР

kcm_touchpad конфликтует с пакетами кед

Потому что он для четверокед. В пятых эта функциональность из коробки.

А ведь раньше арчик был реально простым и понятным, если не залезать в тестинг - не припомню, чтоб вот так ошибки были на каждом шаге.

УМВР. Сходите к хирургу, покажите руки.

Axon ★★★★★ ()

По зависимостям не притянулся xorg-server и всё с ним связанное

Оно и раньше-то не тянулось, с чего сейчас-то должно, когда на горизонте вяленый?

Ключи pacman для репы с infinality не добавлялись, вываливалась ошибка dirmngr

И баг этот dirmngr'а, насколько я помню. Да, можно было бы в вики сделать плашку в пункте про добавление ключей, но оно и так, в общем-то, на той же странице написано.

Кеды загрузились вообще без кедовых приложений, и автоматом не предлагались

Есть группа пакетов plasma, есть kdeapps. Предназначение каждой нужно объяснять?

А так, как бывший кедолюб, говорю: ставь гном и не парься. Удобный, приятный, красивый. Кеды ещё не скоро готовы будут.

Deleted ()
Ответ на: комментарий от m0rph

Примеры будут?

Арчевики, KDE. Русская статья говорит ставить plasma-next, английская - plasma-meta или plasma. Иди и разбирайся, кто прав и как надо ставить, да.

Вчера ещё натыкался, в процессе установки и ковыряния.

gummiboot - в руководстве описано одно, по факту выходит другое. Если искать в арчевики - попадёшь на systemd-boot. Каким образом новички должны допирать до таких вещей? Очень логично, ага. Особенно если вспомнить, что официальная установка идёт с консоли - каким образом новичок будет лазить по арчевики?

Тебя размер не устроил? Так можно сделать меньше.

Не размер, внешний вид. Хорошо, что есть старый oxygen. Новая декорация не соответствует остальному оформлению. Даже панель теперь серая, зато декорация тёмная, ага. Прям супер. Сразу видно, что дизайнер на букву «М» придумал, да.

ekzotech ★★★★ ()
Ответ на: комментарий от Axon

Русскоязычную, что ли, читал?

И её тоже. Несколько лет назад арчевики, особенно на русском, была лучше всех остальных. Я наивно полагал, что эта тенденция сохраняется.

УМВР

У меня курсор после костылей тоже стал нормально работать.

Потому что он для четверокед. В пятых эта функциональность из коробки.

А wacom - нет.

УМВР. Сходите к хирургу, покажите руки.

Давно делал свежую установку арча?

ekzotech ★★★★ ()
Ответ на: комментарий от Deleted

И баг этот dirmngr'а, насколько я помню. Да, можно было бы в вики сделать плашку в пункте про добавление ключей, но оно и так, в общем-то, на той же странице написано.

Видимо не там смотрел, или ещё что, но решение пришло только с арчефорума.

Есть группа пакетов plasma, есть kdeapps. Предназначение каждой нужно объяснять?

Может я путаю, но раньше он в подсказках показывал.

А так, как бывший кедолюб, говорю: ставь гном и не парься. Удобный, приятный, красивый. Кеды ещё не скоро готовы будут.

Мне гном не очень нравится. Точнее, вообще не нравится, да.

Раньше в арче можно было поставить unity, был какой-то проект на эту тему. Не знаю, какая судьба у него сейчас.

А за кеды обидно - я с удовольствием начал пользоваться ими с версии 4.2.х, как только они в слаке появились (в 13, вроде).

ekzotech ★★★★ ()
Ответ на: комментарий от sudopacman

С чего бы это? Такая же система, как и все остальные. Чего вы на нее?

DeadEye ★★★★★ ()
Ответ на: комментарий от ekzotech

И её тоже. Несколько лет назад арчевики, особенно на русском, была лучше всех остальных. Я наивно полагал, что эта тенденция сохраняется.

Русская арчевики всегда отставала от английской. Тенденция сохраняется.

У меня курсор после костылей тоже стал нормально работать.

Каких ещё костылей?

А wacom - нет.

А он и не конфликтует ни с чем.

Давно делал свежую установку арча?

А что?

Axon ★★★★★ ()
Ответ на: комментарий от ekzotech

Арчевики, KDE. Русская статья говорит ставить plasma-next, английская - plasma-meta или plasma. Иди и разбирайся, кто прав и как надо ставить, да.

Что непонятного-то? Если русская и английская версии различаются, то верить надо всегда английской. Всегда так было, и не только для арча.

Axon ★★★★★ ()
Ответ на: комментарий от Axon

Русская арчевики всегда отставала от английской. Тенденция сохраняется.

Помнится мне, она была более-менее актуальной, пара дней разница в существенных вещах. А тут вообще.

Каких ещё костылей?

Указание темы курсора в ещё одном конфиге, симлинк на /usr/share.. в хомдиру.

А он и не конфликтует ни с чем.

Я про kcm, не помню точное название. Он у меня требовал удалять пакеты.

А что?

Ну, очевидный косяк в вики насчёт загрузчика, например.

ekzotech ★★★★ ()

По зависимостям не притянулся xorg-server и всё с ним связанное

А с чего бы это он должен был притянуться?

sergej ★★★★★ ()
Ответ на: комментарий от ekzotech

Арчевики, KDE. Русская статья говорит ставить plasma-next, английская - plasma-meta или plasma. Иди и разбирайся, кто прав и как надо ставить, да.

Русская арчевики попахивает, да. Только вот обычно ее как раз никто не читает, а пользуются английской.

Каким образом новички должны допирать до таких вещей? Очень логично, ага. Особенно если вспомнить, что официальная установка идёт с консоли - каким образом новичок будет лазить по арчевики?

Желание, чтобы было все легко и удобно мне понятно и я его поддерживаю. Тем не менее Арч не позиционируется как дистрибутив для новичков.

Не размер, внешний вид.

А мне наоборот нравится. Выбешивает только горизонтальная голубая линия толщиной в пару пикселей. Зачем ее сделали - непонятно.

m0rph ★★★★★ ()
Ответ на: комментарий от ekzotech

Помнится мне, она была более-менее актуальной, пара дней разница в существенных вещах. А тут вообще.

Ну подправьте.

Указание темы курсора в ещё одном конфиге, симлинк на /usr/share.. в хомдиру.

Жесть. Ничего такого не делал, всё нормально. У меня ещё в .Xdefaults указана тема, но конфиг кед её переопределяет.

Я про kcm, не помню точное название.

Ну вы гений. Если вы ставите модуль для четверокед, то он требует четверокеды, а они конфликтуют с пятыми. Что тут не так-то? Поищите модуль для пятых.

Ну, очевидный косяк в вики насчёт загрузчика, например.

Ссылку.

Axon ★★★★★ ()

Если хочется вменяемой ДЕ - используй ГНОМЕ. Тут безальтернативно.

Кеды всегда кривые, да к тому же в арчике.

paran0id ★★★★★ ()
Ответ на: комментарий от m0rph

Желание, чтобы было все легко и удобно мне понятно и я его поддерживаю. Тем не менее Арч не позиционируется как дистрибутив для новичков.

Необязательно новичок в линуксе. А для новичков в арче. Я всегда использовал beginners guide для установки арча - и ориентироваться удобно, не забудешь что-то сделать, и, как правило, тонкости оговариваются. А тут такой курьёз.

ekzotech ★★★★ ()
Ответ на: комментарий от Axon

Ну вы гений. Если вы ставите модуль для четверокед, то он требует четверокеды, а они конфликтуют с пятыми. Что тут не так-то? Поищите модуль для пятых.

Откуда мне знать, что этот модуль только для кде4 и его не обновляют до кде5?

Ссылку.

Вот, я потом уже сравнил английскую и русскую версии. В английской уже таки используется bootctl.

ekzotech ★★★★ ()
Ответ на: комментарий от paran0id

Кеды 4.х мне очень нравились. Потом во времена 4.4.х у меня были проблемы с производительностью эффектов и вообще анимаций и окон.

В арчике я тоже пользовался четвертокедами. Тогда не было проблем.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

Откуда мне знать, что этот модуль только для кде4 и его не обновляют до кде5?

То есть, то, что у пакета в зависимостях kde4, вам ни о чём не говорит?

Вот

Я гружусь через легаси и syslinux, так что ничего не заметил.

Axon ★★★★★ ()
Ответ на: комментарий от Axon

То есть, то, что у пакета в зависимостях kde4, вам ни о чём не говорит?

Не припоминаю, чтоб в консоли я это увидел, да.

ekzotech ★★★★ ()

По зависимостям не притянулся xorg-server и всё с ним связанное.

То, что по зависимостям у firefox не тянутся apache или nginx, тебя тоже удивляет?

SystemD-hater ()
Ответ на: комментарий от ekzotech

Тебе же русским языком несколько раз написали читать английскую версию вики: https://wiki.archlinux.org/index.php/Beginners'_guide#UEFI.2FGPT

gummiboot был включён в systemd версии 220-2.

unikum ★★★★★ ()
Последнее исправление: unikum (всего исправлений: 1 )
Ответ на: комментарий от ekzotech

Не припоминаю, чтоб в консоли я это увидел, да.

Может, стоит перестать в глазки долбиться?

Axon ★★★★★ ()
Ответ на: комментарий от ekzotech

Твоя толстота поражает. Тебе за тред несколько раз сказали, что русская версия вики неактуальна. Я если честно и не помню уже когда что-то читал на русском по linux кроме местных новостей. Разве что иногда спрашиваю здесь, когда лень регистрироваться на профильном сайте программы или трудно ориентируюсь в английской терминологии темы. Но, как показывает практика, проще сразу гуглить первую бредовую формулировку вопроса на английском, которая придёт в голову, потом несколько раз читать первые результаты и переформулировать и дополнять вопрос.

yurikoles ★★★ ()
Последнее исправление: yurikoles (всего исправлений: 1 )
Ответ на: комментарий от yurikoles

Твоя толстота поражает. Тебе за тред несколько раз сказали, что русская версия вики неактуальна.

Так написали уже после того, как я сравнил. Причём тут толстота?

В арчевики не указано, что основная статья на русском заброшена и всем на неё пофиг.

Пару лет назад русский перевод статей был более-менее актуальным, почему я должен был исходить из того, что сейчас всё по-другому?

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

Может ещё институт русского языка должен выпустить пресс-релиз, о том что он не актуален в IT, и нужно все доки читать в оригинале?

Пара лет очень много для IT, пару лет назад и KDE 5 не было.

yurikoles ★★★ ()
Последнее исправление: yurikoles (всего исправлений: 1 )
Ответ на: комментарий от yurikoles

Насчёт русской версии вики я уже пояснил.

Пара лет очень много для IT, пару лет назад и KDE 5 не было.

И всё же, я не вижу причин, по которым я должен был эту проблему предвидеть.

ekzotech ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.